
-- | Re-exporting the Algebra.* modules.
-- 
-- Because of limitations of the import-export mechanism, you still have
-- to do
--
-- > import Math.RootLoci.Algebra
-- > import qualified Math.Algebra.Polynomial.FreeModule as ZMod
--

module Math.RootLoci.Algebra
  ( ZMod , QMod , FreeMod 
--  , module Math.RootLoci.Algebra.Polynomial
  , module Math.RootLoci.Algebra.SymmPoly
  )
  where

import           Math.Algebra.Polynomial.FreeModule ( ZMod , QMod , FreeMod )
import qualified Math.Algebra.Polynomial.FreeModule as ZMod

import Math.RootLoci.Algebra.SymmPoly